
%global meadversion 5.0.16
%global namedversion 5.0.16.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jboss-remoting}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.16.Final-redhat-00001

Name:      %{?scl_prefix}jboss-remoting
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JBoss Remoting
License:   ASL 2.0
Group:     Development/Java

%if %with mead
Source100: jboss-remoting-5.0.16.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-remoting-5.0.16.Final-redhat-00001.jar
Source103: jboss-remoting-5.0.16.Final-redhat-00001-javadoc.jar
Source104: jboss-remoting-5.0.16.Final-redhat-00001.pom
Source105: jboss-remoting-5.0.16.Final-redhat-00001-sources.jar
%endif

URL:       http://www.jboss.org/jbossremoting

BuildArch: noarch
BuildRoot: %{_tmppath}/jboss-remoting-%{version}-%{release}-root

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%if %with javadoc
%package javadoc
Summary:   Javadoc for jboss-remoting
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for jboss-remoting.
%endif

%prep
%setup -q -n jboss-remoting-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-remoting-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-remoting-%{namedversion} %{buildroot}%{_javadocdir}/jboss-remoting
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-remoting
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_javadocdir}/jboss-remoting
%endif

%changelog
* Thu Nov 07 2019 Yong Yang <yyang@redhat.com> - 5.0.16-2.Final_redhat_00001.1
- RPM wrapper build 5.0.16.Final-redhat-00001

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 5.0.16-1.Final_redhat_00001.1
- 5.0.16.Final-redhat-00001

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 5.0.14.SP2_redhat_00001-1.1%{nil}
- 5.0.14.SP2-redhat-00001

* Tue Sep 10 2019 Neil Wallace <nwallace@redhat.com> - 5.0.14-1.SP1_redhat_00001.1
- 5.0.14.SP1-redhat-00001

* Tue Sep 10 2019 Neil Wallace <nwallace@redhat.com> - 5.0.13.Final_redhat_00001-1.1%{nil}
- 5.0.13.Final-redhat-00001

* Wed Jun 19 2019 Permaine Cheung <pcheung@redhat.com> - 5.0.12-1.Final_redhat_00001.1
- 5.0.12.Final-redhat-00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 5.0.9-1.Final_redhat_00001.1
- org.jboss.remoting-jboss-remoting-5.0.9.Final_redhat_00001

* Tue Aug 21 2018 Permaine Cheung <pcheung@redhat.com> - 5.0.8-2.Final_redhat_1.1
- Rewrap for EAP 7.2.0

* Mon Aug 13 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.0.8-1.Final_redhat_1.1
- wrappers for 5.0.8.Final-redhat-1

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 5.0.7-3.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.0.7-2.Final_redhat_1.1
- upgrade to 5.0.7.Final-redhat-1 

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.0.7-2.Final_redhat_1.1
- upgrade to 5.0.7.Final-redhat-1 

* Wed May 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.0.7-1.Final_redhat_1.1
- upgrade to 5.0.7.Final-redhat-1

* Fri Oct 20 2017 Petr Sakar <psakar@redhat.com> - 5.0.5-1.Final_redhat_1.1
- upgrade to 5.0.5.Final-redhat-1

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 5.0.3-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 5.0.3-1.Final_redhat_1.1
- upgrade to 5.0.3.Final-redhat-1

* Sat Sep 16 2017 Petr Sakar <psakar@redhat.com> - 5.0.2-1.Final_redhat_1.1
- upgrade to 5.0.2.Final-redhat-1

* Thu Sep 14 2017 Petr Sakar <psakar@redhat.com> - 5.0.1-1.Final_redhat_1.1
- upgrade to 5.0.1.Final-redhat-1

* Mon Aug 21 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-14.Final_redhat_1.1
- upgrade to 5.0.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-13.CR5_redhat_1.1
- upgrade to 5.0.0.CR5-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 5.0.0-12.CR4_redhat_1.1
- upgrade to 5.0.0.CR4-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-11.CR2_redhat_1.1
- upgrade to 5.0.0.CR2-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-11.CR2_redhat_1.1
- upgrade to 5.0.0.CR2-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-10.CR1_redhat_1.1
- upgrade to 5.0.0.CR1-redhat-1

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-9.Beta25_redhat_1.1
- upgrade to 5.0.0.Beta25-redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 5.0.0-8.Beta24_redhat_1.1
- update to 5.0.0.Beta24

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-7.Beta23_redhat_1.1
- upgrade to 5.0.0.Beta23-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 5.0.0-6.Beta22_redhat_1.1
- update to 5.0.0.Beta22

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 5.0.0-5.Beta20_redhat_1.1
- update to version 5.0.0.Beta20

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-4.Beta19_redhat_1.1
- upgrade to 5.0.0.Beta19-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-3.Beta18_redhat_1.1
- upgrade to 5.0.0.Beta18-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-2.Beta17_redhat_1.1
- upgrade to 5.0.0.Beta17-redhat-1

* Sun Dec 18 2016 Petr Sakar <psakar@redhat.com> - 5.0.0-1.Beta12_redhat_1.1
- upgrade to 5.0.0.Beta12-redhat-1

* Mon Jul 25 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.21-1.Final_redhat_1.1
- Upgrade to 4.0.21.Final

* Mon Jul 25 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.20-2.Final_redhat_1.1
- Upgrade to 4.0.21.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.20-1.Final_redhat_1.1
- Upgrade to 4.0.20.Final

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.19-1.Final_redhat_1.1
- Upgrade to 4.0.19.Final

* Tue Jan 05 2016 Hui Wang <huwang@redhat.com> - 4.0.18-1.Final_redhat_1.1
- Upgrade to 4.0.18.Final-redhat-1

* Mon Dec 07 2015 Hui Wang <huwang@redhat.com> - 4.0.15-1.Final_redhat_1.1
- Upgrade to 4.0.15.Final-redhat-1

* Wed Nov 04 2015 Hui Wang <huwang@redhat.com> - 4.0.14-1.Final_redhat_1.1
- Upgrade to 4.0.14.Final-redhat-1

* Wed Jul 22 2015 Hui Wang <huwang@redhat.com> - 4.0.9-1.Final_redhat_1.1
- Upgrade to 4.0.9.Final-redhat-1

* Thu Oct 30 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.4-1.Final_redhat_1.1
- Upgrade to 3.3.4.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.3-1.Final_redhat_1.1
- Upgrade to 3.3.3.Final

* Wed Apr 09 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade to 3.3.1.Final

* Thu Mar 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.0-1.Final_redhat_1.1
- Upgrade to 3.3.0.Final

* Fri Feb 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.19-1.GA_redhat_1.1
- Upgrade to 3.2.19.GA

* Wed Nov 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.18-1.GA_redhat_1
- Upgrade to 3.2.18.GA

* Tue Oct 15 2013 Hui Wang <huwang@redhat.com> - 3.2.17-1.GA_redhat_1
- Downgrade to 3.2.17.GA (Bug 1018989)

* Sun Oct 13 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.3.0-1.CR1_redhat_1
- Upgrade to 3.3.0.CR1

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.16-1.GA_redhat_1
- Upgrade to 3.2.16.GA

* Thu Feb 28 2013 Hui Wang <huwang@redhat.com> - 3.2.15-1.GA_redhat_1
- Upgrade to 3.2.15.GA

* Wed Nov 28 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.14-1.GA_redhat_1
- Upgrade to 3.2.14.GA

* Tue Nov 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.13-1.GA_redhat_1
- Upgrade to 3.2.13.GA

* Fri Oct 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.12-1.GA_redhat_1
- Update to 3.2.12.GA

* Fri Oct 05 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.11-1.GA_redhat_1
- Update to 3.2.11.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-2.SP1_redhat_1
- Rebuild for MD5

* Fri Sep 14 2012 Lin Gao <lgao@redhat.com> - 3.2.8-1.SP1_redhat_2
- Update to 3.2.8.SP1

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 3.2.8-1.GA_redhat_2.4
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.8-1.GA_redhat_1
- Upgrade to 3.2.8.GA-redhat-1

* Tue May 08 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.7-1.GA_redhat_1
- Upgrade to 3.2.7.GA-redhat-1

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.4-1.GA_redhat_1.1
- Upgrade to 3.2.4.GA

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.2-1.GA_redhat_1.2
- Remove R: jboss-logmanager, jboss-logging-tools, xnio

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-1.GA_redhat_1.1
- Populate java-signed

* Fri Feb 14 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.2-0.5.GA_redhat_1
- Upgrade to 3.2.2.GA

* Fri Jan 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-0.4.CR8_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.CR6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.2.CR6
- Upstream release 3.2.0.CR6

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.CR2
- Upstream release 3.2.0.CR2

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging
